light-mode-image
Learn
RevocationAPI Reference

Status update

Update Semantic CWT credential status

POST/v2/credentials/compact-semantic/{id}/revocation-status

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique credential identifier (jti)

Request Body

application/json

Update revocation status

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/credentials/compact-semantic/string/revocation-status" \  -H "Content-Type: application/json" \  -d '{    "isRevoked": true  }'
{  "id": "string",  "isRevoked": true}

Retrieve Semantic CWT credential status

GET/v2/credentials/compact-semantic/{id}/revocation-status

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique credential identifier (jti)

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/credentials/compact-semantic/string/revocation-status"
{  "isRevoked": true}

How would you rate this page?

Last updated on

On this page